Package com.castlabs.android.player.filter

# Class VideoConfigurationTrackFilter

java.lang.Object
com.castlabs.android.player.filter.VideoConfigurationTrackFilter

All Implemented Interfaces:
  `TrackFilter`

public class VideoConfigurationTrackFilter extends Object implements TrackFilter
TrackFilter which uses `VideoFilterConfiguration`.

Since:
  4.2.26

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VideoConfigurationTrackFilter(VideoFilterConfiguration contentCfg, VideoFilterConfiguration adsCfg)`
  Creates a new instance of `VideoConfigurationTrackFilter`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `filterTrack(FilterFormat track)`
  Filters a track based on the provided `FilterFormat`.
  `VideoFilterConfiguration`
  `getAdsConfiguration()`
  Returns the video filter configuration for ads.
  `VideoFilterConfiguration`
  `getConfiguration(boolean ads)`
  Returns the configuration.
  `VideoFilterConfiguration`
  `getContentConfiguration()`
  Returns the video filter configuration for content.
  `void`
  `setAdsConfiguration(VideoFilterConfiguration adsConfiguration)`
  Sets the video filter configuration for ads.
  `void`
  `setContentConfiguration(VideoFilterConfiguration contentConfiguration)`
  Sets the video filter configuration for content.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VideoConfigurationTrackFilter

    public VideoConfigurationTrackFilter(VideoFilterConfiguration contentCfg, VideoFilterConfiguration adsCfg)
    Creates a new instance of `VideoConfigurationTrackFilter`.
    Parameters:
      `contentCfg` - the video filter configuration for content
      `adsCfg` - the video filter configuration for ads

- ## Method Details

  - ### setContentConfiguration

    public void setContentConfiguration(VideoFilterConfiguration contentConfiguration)
    Sets the video filter configuration for content.
    Parameters:
      `contentConfiguration` - the video filter configuration for content

  - ### setAdsConfiguration

    public void setAdsConfiguration(VideoFilterConfiguration adsConfiguration)
    Sets the video filter configuration for ads.
    Parameters:
      `adsConfiguration` - the video filter configuration for ads

  - ### getAdsConfiguration

    public VideoFilterConfiguration getAdsConfiguration()
    Returns the video filter configuration for ads.
    Returns:
      the video filter configuration for ads

  - ### getContentConfiguration

    public VideoFilterConfiguration getContentConfiguration()
    Returns the video filter configuration for content.
    Returns:
      the video filter configuration for content

  - ### getConfiguration

    public VideoFilterConfiguration getConfiguration(boolean ads)
    Returns the configuration. In case an ad configuration is requested and such is not `null`, it will be returned
    Parameters:
      `ads` - whether to try and return the ads configuration
    Returns:
      the configuration.

  - ### filterTrack

    public void filterTrack(@NonNull FilterFormat track)
    Description copied from interface: `TrackFilter`
    Filters a track based on the provided `FilterFormat`.
    Specified by:
      `filterTrack` in interface `TrackFilter`
    Parameters:
      `track` - the track to filter, or keep